<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks® NonCommercial, 7.6 of lundi 3 mars 2008 on mardi 19 mars 2013 at 7:00:10</time-stamp>


<methods>
<class-id>CormasNS.Kernel.CormasModel</class-id> <category>+ utilities - population metrics</category>

<body package="cormas" selector="lowerQuartileOfAttribute:of:">lowerQuartileOfAttribute: att of: aCollecOrClass
"Purpose: returns the lower quartile of the values of an attribute for a collection of entities (aCollecOrClass)
Argument: aCollecOrClass can be a collection of entities or the name of class, in which case all the entities of that class (including subclasses entities) will be included in the collection
Examples: self lowerQuartileOfAttribute: #age of: Person
			 self lowerQuartileOfAttribute: #age of: (self theBirds)"
^Cormas lowerQuartile: (aCollecOrClass asOrderedCollection collect:[:e| e perform: att])</body>
</methods>

<methods>
<class-id>CormasNS.Kernel.CormasModel</class-id> <category>+ utilities - population metrics</category>

<body package="cormas" selector="medianOfAttribute:of:">medianOfAttribute: att of: aCollecOrClass
"Purpose: returns the median of an attribute for a collection of entities (aCollecOrClass)
Argument: aCollecOrClass can be a collection of entities or the name of class, in which case all the entities of that class (including subclasses entities) will be included in the collection
Examples: self medianOfAttribute: #age of: Person
			 self medianOfAttribute: #age of: (self theBirds)"
^Cormas median: ( aCollecOrClass asOrderedCollection collect:[:e| e perform: att])</body>
</methods>

<methods>
<class-id>CormasNS.Kernel.CormasModel</class-id> <category>+ utilities - population metrics</category>

<body package="cormas" selector="upperQuartileOfAttribute:of:">upperQuartileOfAttribute: att of: aCollecOrClass
"Purpose: returns the upper quartile of the values of an attribute for a collection of entities (aCollecOrClass)
Argument: aCollecOrClass can be a collection of entities or the name of class, in which case all the entities of that class (including subclasses entities) will be included in the collection
Examples: self upperQuartileOfAttribute: #age of: Person
			 self upperQuartileOfAttribute: #age of: (self theBirds)"
^Cormas upperQuartile: (aCollecOrClass asOrderedCollection collect:[:e| e perform: att])</body>
</methods>

</st-source>
